Subject: Re: bug#25177: Test failures don't cause some Python packages to fail

From: Marius Bakke <[email-masked]>
Date: Sat, 17 Dec 2016 18:38:26 +0100

Leo Famulari <[email-masked]> writes:

> On Fri, Dec 16, 2016 at 03:02:20PM +0100, Marius Bakke wrote:
>> Leo Famulari <[email-masked]> writes:
>> 
>> > On Thu, Dec 15, 2016 at 10:26:45AM +0100, Marius Bakke wrote:
>> >> All failures from this run should be fixed, and then some. Can you
>> >> restart it?
>> >
>> > Done, thanks for working on this!
>> 
>> Most of the current failures should now be fixed as well. Do you think
>> another Hydra run is necessary? I would like to merge this before the
>> release, so I think any remaining failures can be handled directly on
>> master for more visibility and testing. WDYT?
>
> There are still ~4000 queued builds:
>
> https://hydra.gnu.org/eval/109396?full=1#tabs-unfinished
>
> I'd like to wait for it to be closer to done before merging.

I think that job can be cancelled and a new one started, since there
have been quite a few fixes since. I've now successfully built
`./pre-inst-env guix build $(guix package -A python | awk '{print $1}')`
locally, but there may still be some leaf packages that are failing.

> I think it's okay to release without these changes because, in practice,
> the bug in question doesn't cause problems for people who are using our
> packages, right? My understanding is that people installing from 0.12.0
> won't have large numbers of Python packages that fail to build, since we
> are dealing with spurious test successes.
>
> It's certainly not desirable to release with this bug, but will there be
> "real" problems for users?
>
> What do you think?

Yes, it would have to be merged now or wait until after the release.
Very few actual problems have been solved, and none in core packages.
So let's postpone this and focus on getting master in shape :-)